uicc.services.highupdatearray

## Interface HighUpdateArrayBuilder

-     public interface HighUpdateArrayBuilder

  The `HighUpdateArrayBuilder` interface provides methods for creation of arrays supporting high usage of update operations with respect to Java Card conventional arrays. The minimum number of update operations is specified for the UICC by the JX property. These arrays are intended to contain data for which the update operations is expected to be higher than required for general data.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `HIGH_UPDATE_ARRAY_MIN_UPDATE_JA` JX Property value : High Update Array minimum update property, value JA corresponding to 100,000 update operations.
    `static short` | `HIGH_UPDATE_ARRAY_MIN_UPDATE_JB` JX Property value : High Update Array minimum update property, value JB corresponding to 500,000 update operations.
    `static short` | `HIGH_UPDATE_ARRAY_MIN_UPDATE_JC` JX Property value : High Update Array minimum update property, value JC corresponding to 1,000,000 update operations.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `short` | `getHighUpdateMinimumUpdateProperty()` Return the value of minimum number of update operations property (JX property) for the high update arrays supported by the UICC.
    `boolean[]` | `makeHighUpdateBooleanArray(short length)` Create a persistent `boolean` array with the specified array length and with extended endurance in terms of update operations with respect to arrays created by means of the Java `new` keyword.
    `byte[]` | `makeHighUpdateByteArray(short length)` Create a persistent `byte` array with the specified array length and with extended endurance in terms of update operations with respect to arrays created by means of the Java `new` keyword
    `java.lang.Object[]` | `makeHighUpdateObjectArray(short length)` Create a persistent `Object` array with the specified array length and with extended endurance in terms of update operations with respect to arrays created by means of the Java `new` keyword.
    `short[]` | `makeHighUpdateShortArray(short length)` Create a persistent `short` array with the specified array length and with extended endurance in terms of update operations with respect to arrays created by means of the Java `new` keyword.

- - ### Field Detail

    - #### HIGH_UPDATE_ARRAY_MIN_UPDATE_JA

          static final short HIGH_UPDATE_ARRAY_MIN_UPDATE_JA

      JX Property value : High Update Array minimum update property, value JA corresponding to 100,000 update operations. Constant = (short)1;
      See Also:
        Constant Field Values

    - #### HIGH_UPDATE_ARRAY_MIN_UPDATE_JB

          static final short HIGH_UPDATE_ARRAY_MIN_UPDATE_JB

      JX Property value : High Update Array minimum update property, value JB corresponding to 500,000 update operations. Constant = (short)2;
      See Also:
        Constant Field Values

    - #### HIGH_UPDATE_ARRAY_MIN_UPDATE_JC

          static final short HIGH_UPDATE_ARRAY_MIN_UPDATE_JC

      JX Property value : High Update Array minimum update property, value JC corresponding to 1,000,000 update operations. Constant = (short)3;
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### makeHighUpdateBooleanArray

          boolean[] makeHighUpdateBooleanArray(short length)

      Create a persistent `boolean` array with the specified array length and with extended endurance in terms of update operations with respect to arrays created by means of the Java `new` keyword.
      Parameters:
        `length` - the length of the boolean array
      Returns:
        the new high update boolean array
      Throws:
        `SystemException` - with the following reason code:
        - `SystemException.NO_RESOURCE` if there are not enough resources in the card to allocate the array
        `java.lang.NegativeArraySizeException` - if the length parameter is negative

    - #### makeHighUpdateByteArray

          byte[] makeHighUpdateByteArray(short length)

      Create a persistent `byte` array with the specified array length and with extended endurance in terms of update operations with respect to arrays created by means of the Java `new` keyword
      Parameters:
        `length` - the length of the byte array
      Returns:
        the new high update byte array
      Throws:
        `SystemException` - with the following reason code:
        - `SystemException.NO_RESOURCE` if there are not enough resources in the card to allocate the array
        `java.lang.NegativeArraySizeException` - if the length parameter is negative

    - #### makeHighUpdateObjectArray

          java.lang.Object[] makeHighUpdateObjectArray(short length)

      Create a persistent `Object` array with the specified array length and with extended endurance in terms of update operations with respect to arrays created by means of the Java `new` keyword.
      Parameters:
        `length` - the length of the Object array
      Returns:
        the new high update Object array
      Throws:
        `SystemException` - with the following reason code:
        - `SystemException.NO_RESOURCE` if there are not enough resources in the card to allocate the array
        `java.lang.NegativeArraySizeException` - if the length parameter is negative

    - #### makeHighUpdateShortArray

          short[] makeHighUpdateShortArray(short length)

      Create a persistent `short` array with the specified array length and with extended endurance in terms of update operations with respect to arrays created by means of the Java `new` keyword.
      Parameters:
        `length` - the length of the short array
      Returns:
        the new high update short array
      Throws:
        `SystemException` - with the following reason code:
        - `SystemException.NO_RESOURCE` if there are not enough resources in the card to allocate the array
        `java.lang.NegativeArraySizeException` - if the length parameter is negative

    - #### getHighUpdateMinimumUpdateProperty

          short getHighUpdateMinimumUpdateProperty()

      Return the value of minimum number of update operations property (JX property) for the high update arrays supported by the UICC.
      Returns:
        a constant HIGH_UPDATE_ARRAY_MIN_UPDATE_Jx indicating the JX property

Copyright © 2017 ETSI All Rights Reserved.